008853
Index: os-prober/common.sh
008853
===================================================================
008853
--- os-prober.orig/common.sh
008853
+++ os-prober/common.sh
008853
@@ -336,3 +336,13 @@ linux_mount_boot () {
008853
 
008853
 	mountboot="$bootpart $mounted"
008853
 }
008853
+
008853
+umount_exec=$(which umount)
008853
+umount() {
008853
+	if ! $umount_exec $@ 2> /dev/null; then
008853
+		error "umount error, retrying after 1 sec"
008853
+		sleep 1
008853
+		$umount_exec $@
008853
+	fi
008853
+}
008853
+